Skip to main content
List all snapshots for an artifact

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

itemType
enum<string>
required

Entity type (SOURCE, VISUAL, DASHBOARD)

Available options:
SOURCE,
VISUAL,
DASHBOARD
itemId
string
required

ID of the entity

sort
enum<string>
default:DESC

Sort direction (default: DESC). Always sorts by snapshot number.

Available options:
ASC,
DESC

Response

Snapshot list retrieved successfully

Response body listing all snapshots for an artifact

itemType
string

Entity type

Example:

"SOURCE"

itemId
string

ID of the entity

Example:

"src-123"

account
string

Account ID that owns the entity

Example:

"acc-789"

totalSnapshots
integer<int64>

Total number of snapshots for this entity

Example:

5

snapshots
object[]

List of snapshot metadata entries